#include <sourcemod>
#include <loghelper>
#include <economy>

new Handle:g_hInterval;
new Handle:g_hMoneyPerTick;

public Plugin:myinfo =
{
    name        = "[Economy] Money Distributor",
    author      = "alongub",
    description = "Money Distributor component for [Economy]",
    version     = PL_VERSION,
    url         = "http://steamcommunity.com/id/alon"
};

public OnPluginStart() 
{
    CreateTimer(5.0*60.0, ForgivePoints, _, TIMER_REPEAT);
	AutoExecConfig(true);
}

public Action:ForgivePoints(Handle:timer)
{
	GiveMoneyToAllPlayers();
}

GiveMoneyToAllPlayers()
{
	for (new client = 1; client <= MaxClients; client++)
	{
        new amount = 25;
        if (GetAdminFlag(GetUserAdmin(client), Admin_Reservation))  
            amount = 50;
            
		if (IsValidPlayer(client) && !IsClientObserver(client))
		{
			Economy_GivePlayerMoney(client, -1, amount);
			PrintToChat(client, "You have received %d credits. You can open !store to use them.", amount);			
		}
	}
}